/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */

#include "../SsBaCommon.h"
#include "SsApBase.h"

SsApBase::SsApBase()
{
	vResetValues();
}

SsApBase::~SsApBase()
{
	vRelease();
}

void SsApBase::vInit()
{
	if(!m_bIsInitialized)
	{
		m_bIsInitialized = True;
	}
}

void SsApBase::vResetValues()
{
	m_bIsInitialized = False;
	m_bIsRunning = False;
	m_bHaltCommandRequested = False;	
	m_hConsole = 0;
}

void SsApBase::vRelease()
{
	vResetValues();
}

void SsApBase::vPrintMessage(char *pszMessage)
{
	if(m_hConsole)
	{
		SendMessage(m_hConsole, c_nSsApMsgPrintString, (WPARAM)pszMessage, 0);
	}
}

void SsApBase::vResetConsole()
{
	if(m_hConsole)
	{
		SendMessage(m_hConsole, c_nSsApMsgResetConsole, 0, 0);
	}
}

void SsApBase::vRequestStop()
{
	if(m_bIsRunning)
	{
		if(!m_bHaltCommandRequested)
		{
			m_bHaltCommandRequested = true;
		}
	}
}

//--------------------------------------------------------------------------------------------------
// $Footer: strangeapp.cpp $
//
//--------------------------------------------------------------------------------------------------


