/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */

//
// SsApIndexer.h
//

#ifndef _INC_SS_AP_INDEXER
#define _INC_SS_AP_INDEXER

#include "SsBaCommon.h"
#include "apps/SsApBase.h"

class SsApIndexer : public SsApBase
{
	protected:
		
	public:
		virtual void vBeginExecution();

		friend STRANGEAPPTHREAD(StrangeAppThread_Indexer);
};

class Queue
{
public:
	struct TNode 
	{
		Tchar m_szData[256];
		TNode *m_psNextNode;
	};

	Queue();
	~Queue();
	void vEnqueue(char *pszData);
	void vDequeue(char *pszBuffer);
	void vRelease();
	
	inline Tboolean bIsEmpty()	{ return m_psFirstNode == NULL; }

private:
	TNode *m_psLastNode;
	TNode *m_psFirstNode;
};

void vStoreFile(Tchar *pszFileName, Tuint nDirIndex, Tuint nFileSize, FILE *pFile);
Tuint nStoreDir(char* DirName, FILE *pFile);

#endif


