/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */

#include "SsBaCommon.h"
#include "apps/SsApSearchMonitor.h"
#include "SsStControl.h"

STRANGEAPPTHREAD(StrangeAppThread_SearchMonitor)
{
	SsApSearchMonitor *poApp = (SsApSearchMonitor *)poStrangeApp;
	poApp->m_bIsRunning = true;
	TSearchInfo *psSearchInfo;
	char szMessage[512];
	char szMachineName[128];
	char *p;
  int nSearches=0;

	while(!poApp->m_bHaltCommandRequested)
	{
		for(int i=0; i<128; i++)
		{
			psSearchInfo = SS_CONTROL()->poGetSearchInfo(i);
			if(psSearchInfo->m_bValid)
			{
				// Convert all & to spaces
				p = psSearchInfo->m_szSearchString;
				while(*p != 0)
				{
					if(*p == '&')
					{
						*p = ' ';
					}
					p++;
				}
				if(strstr(psSearchInfo->m_szSearchString, "e=") != NULL)
				{
					*strstr(psSearchInfo->m_szSearchString, "e=") = 0;
					strcat(psSearchInfo->m_szSearchString, " &g&[cont]");
				}
			
				strcpy(szMachineName, psSearchInfo->m_szIpAddress);

				sprintf(szMessage, "&b&%s: &0&%s\n", szMachineName, psSearchInfo->m_szSearchString);
				poApp->vPrintMessage(szMessage);
				psSearchInfo->m_bValid = 0;
        nSearches++;
        if((nSearches % 1000) == 0)
        {
          poApp->vResetConsole();
        }
			}
		}
		Sleep(250);
	}
	poApp->vPrintMessage("&R&[ * &0&Search Monitor Halted &R&* ]\n");


	poApp->m_bIsRunning = false;
	poApp->m_bHaltCommandRequested = false;
	_endthread();
}

void SsApSearchMonitor::vBeginExecution()
{
	if(!m_bIsRunning)
	{
		RUN_STRANGEAPPTHREAD(StrangeAppThread_SearchMonitor);
	}
}

//--------------------------------------------------------------------------------------------------
// $Footer: strangeapp_pinger.cpp $
//
//--------------------------------------------------------------------------------------------------


