/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */
#include "rand.h"
 
Rand::Rand()
{
	Seed = 1;       /* This is required to be 32 bits long */
}

Rand::~Rand()
{

}

unsigned long Rand::GetRand()
/*
**    Random number between  0  and  2147483647 (2**31 - 1)  inclusive
**/
{

  long a = 48271;
  long m = 2147483647;
  long r = 3399;    /* r = m mod a */
  long q = 44488;   /* q = m div a */
  if ((Seed = Seed % q * a - Seed / q * r) < 0)
    Seed += m;
  return (Seed - 1);
}

void Rand::SeedRand(long sd)
{
 Seed=sd;
}

long Rand::GetSeed()
{
	return(Seed);
}

float Rand::GetRandFloat()
{
	return((float)GetRand()/2147483647);
}
