/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */
#include "searchhtml.h"

Tchar *HtmlPtr = NULL;
Tchar szCurrentLine[1024];
Tuint ProgressCounter=0, HtmlTotalSize=0;

void SafeCgiExit(int code);
void SafeCgiPrintError(char *errormsg, char *orig_arg);

void ReadLine()
{
	Tuint Counter=0;
	Tchar *p = szCurrentLine;

	while(
		ProgressCounter < HtmlTotalSize &&
		Counter < 1023 &&
		*HtmlPtr != '\n' &&
		*HtmlPtr != '\r'
	)
	{
		*p++ = *HtmlPtr++;
		Counter++;
		ProgressCounter++;
	}
	*p++ = '\n';
	*p = 0;
	if(Counter >= 1023)
	{
		SafeCgiPrintError("Badly formed HTML Template.  Lines may only be 1024 characters long.\n","");
	}
	
	if(*HtmlPtr == '\n' || *HtmlPtr == '\r')
	{
		while(*HtmlPtr == '\n' || *HtmlPtr == '\r') 
		{
			HtmlPtr++;
			ProgressCounter++;
			if(ProgressCounter >= HtmlTotalSize)
			{
				break;
			}
		}
	}
}

void InitSearchHtml(Tchar *Html, Tuint MaxSize)
{
	HtmlTotalSize = MaxSize;
	HtmlPtr = Html;
}

void PrintUntilToken(Tchar *Token)
{
	while(ProgressCounter < HtmlTotalSize)
	{
		ReadLine();
		if(strnicmp(Token, szCurrentLine, strlen(Token))==0)
		{
			return;
		}
		else
		{
			printf("%s",szCurrentLine);
		}
	}
	Tchar error[256];
	sprintf(error, "Badly formed HTML template file.  Token %s not found\n", Token);
	SafeCgiPrintError(error,"");
}

void PrintUntilEnd()
{
	while(ProgressCounter < HtmlTotalSize)
	{
		ReadLine();
		printf("%s",szCurrentLine);
	}
}

char *GetCurrentLine()
{
	return szCurrentLine;
}