/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */
#include "SsBaCommon.h"


Tchar *g_aszFilenames[] = {			// File Names of data files !!** Name, then dir **!!
	{"musicname.dat"},{"musicdir.dat"},
	{"picname.dat"},  {"picdir.dat"},
	{"moviename.dat"},{"moviedir.dat"},
	{"filesname.dat"},{"filesdir.dat"},
	{"docname.dat"},{"docdir.dat"},
	{"othername.dat"},{"otherdir.dat"}
};

// The "Global\" prefix [case sensitive] makes the memory maps
//   accessable to the global namespace if Strangesearch is
//   started from a Terminal Server account
Tchar *g_aszMapNames[] = {			// Names of shared mem (like named pipe) !!Name then dir!!
	{"Global\\ss35_musicname"},		{"Global\\ss35_musicdir"},
	{"Global\\ss35_picturename"},	{"Global\\ss35_picturedir"},
	{"Global\\ss35_moviename"},		{"Global\\ss35_moviedir"},
	{"Global\\ss35_filesname"},		{"Global\\ss35_filesdir"},
	{"Global\\ss35_docname"},			{"Global\\ss35_docdir"},
	{"Global\\ss35_othername"},		{"Global\\ss35_otherdir"}
};

Tchar *g_aszExtensions[] ={					// Extensions per database
	{".mp3"},{".wav"},{".ra"},{".m3u"},{".vqf"},{".wma"},															// Music
	{".jpg"},{".gif"},{".bmp"},{".png"},{".tga"},																			// Pictures
	{".asf"},{".mpg"},{".mpeg"},{".qt"},{".avi"},{".mov"},{".rm"},										// Movies
	{".zip"},{".ace"},{".rar"},{".cab"},{".*##"},{".bin"},{".cue"},{".iso"},{".exe"},{".cdi"},{".msi"},	// Files
	{".txt"},{".rtf"},{".doc"},{".xls"},{".ppt"},{".pdf"},{".cpp"},{".c"},{".h"},			// Documents
};

Tuint  g_anNumEntries[]=
	{6,		//Music
	 5,		//Pictures
	 7,		//Movies
	 11,	//Files
	 9};	//Documents

Tchar g_aszRootPath[260];

Tuint g_nIndexRefreshSeconds;
Tuint g_nNameExpireSeconds;
Tuint g_nIndexExpireSeconds;

void StrangeCriticalError(Tchar *Message)
{
	MessageBox(NULL, Message, "StrangeSearch: Critical Error", MB_OK);
	_exit(0);
}