/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */

#ifndef _INC_SS_BA_COMMON
#define _INC_SS_BA_COMMON

// ---------------------------------------------------
//		Includes
// ---------------------------------------------------										 
#define SS_DEBUG

#include <afxwin.h>
#include <afxext.h>
#include <commctrl.h>
#include <afxcview.h>
#include <process.h>
#include <io.h>

// ---------------------------------------------------
//		App Definitions
// ---------------------------------------------------
#define WINDOW_TITLE	"StrangeSearch 3.5"

#define MAPNAME_HUGEMACHINEMAP		"Global\\SS35_HugeMachineMap"
#define MAPNAME_VALIDMACHINEMAP		"Global\\SS35_ValidMachineMap"
#define MAPNAME_SEARCHMACHINEMAP	"Global\\SS35_SearchMachineDB"
#define MAPNAME_SEARCHMONITORMAP	"Global\\SS35_SearchMonitor"
#define MAPNAME_STRANGECONTROLMAP "Global\\SS35_StrangeControl"
#define MAPNAME_STRANGEHTML				"Global\\SS35_StrangeHTML"

#define NUMDATABASES 							6

// ---------------------------------------------------
//		Types
// ---------------------------------------------------
#include "SsBaTypes.h"


// ---------------------------------------------------
//		Global Variables
// ---------------------------------------------------
extern	Tchar *g_aszFilenames[];
extern	Tchar *g_aszMapNames[];
extern	Tchar *g_aszExtensions[];
extern	Tuint  g_anNumEntries[];
extern  Tchar	 g_aszRootPath[];

const		Tuint c_nInvalidPtr					= 0xdadadada;
const		Tuint c_nSsApMsgPrintString		= WM_USER+100;
const		Tuint c_nSsApMsgResetConsole	= WM_USER+101;

extern Tuint g_nIndexRefreshSeconds;
extern Tuint g_nNameExpireSeconds;
extern Tuint g_nIndexExpireSeconds;

void StrangeCriticalError(Tchar *Message);

#endif
