/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */

#include "../SsBaCommon.h"
#include "SsStControl.h"
#include "SsUiApp.h"
#include "SsUiWndConsole.h"
#include "SsUiWndTree.h"

SsUiApp oStrangeApp;
SsUiWndMain *g_poMainWnd;

BEGIN_MESSAGE_MAP(SsUiWndMain, CFrameWnd)
	ON_WM_CREATE()
END_MESSAGE_MAP()

BOOL SsUiApp::InitInstance() 
{
	m_pMainWnd = new SsUiWndMain;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	m_pMainWnd->UpdateWindow();
	return true;
}

SsUiWndMain::SsUiWndMain()
{
	Create(NULL, WINDOW_TITLE);
}

SsUiWndMain::~SsUiWndMain()
{
	DestroyWindow();
	gs_poSsControl->vRelease();
}

int SsUiWndMain::OnCreate(LPCREATESTRUCT lpcs)
{
	g_poMainWnd = this;
	return CFrameWnd::OnCreate(lpcs);
}

BOOL SsUiWndMain::OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext)
{
	CRect oClientRect;

	GetWindowRect(&oClientRect);
	int nWidth		= oClientRect.Width();
	int nHeight	= oClientRect.Height();

	m_oWndSplitter.CreateStatic(this, 1, 2);
	m_oWndSplitter.CreateView(0, 0, RUNTIME_CLASS(SsUiWndTree), CSize(150,nHeight), pContext);
	m_oWndSplitter.CreateView(0, 1, RUNTIME_CLASS(SsUiWndView), CSize(nWidth-150,nHeight), pContext);

	m_poTree = (SsUiWndTree *)m_oWndSplitter.GetPane(0, 0);
	m_poView = (SsUiWndView *)m_oWndSplitter.GetPane(0, 1);

	gs_poSsControl->vInitServer();	
  return true;
}

BOOL SsUiWndMain::OnWndMsg( UINT message, WPARAM wParam, LPARAM lParam, LRESULT* pResult )
{
	return CFrameWnd::OnWndMsg(message, wParam, lParam, pResult);
}
