/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */
//
// SsUiApp.h
//

#ifndef _INC_SS_UI_APP
#define _INC_SS_UI_APP    

#include "SsBaCommon.h"
#include "SsUiWndTree.h"
#include "SsUiWndView.h"

#define SS_VIEW() g_poMainWnd->poGetView()
#define SS_TREE() g_poMainWnd->poGetTree()

class SsUiWndConsole;

class SsUiApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
};

class SsUiWndMain : public CFrameWnd
{
	protected:
		CSplitterWnd		m_oWndSplitter;
		SsUiWndTree			*m_poTree;
		SsUiWndView			*m_poView;
	
		afx_msg int OnCreate(LPCREATESTRUCT);
		virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
		virtual BOOL OnWndMsg(UINT message, WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	
		DECLARE_MESSAGE_MAP ()
	
	public:
		SsUiWndMain();
		~SsUiWndMain();
	
		inline SsUiWndView *poGetView()
		{
			return m_poView;
		}
		inline SsUiWndTree *poGetTree()
		{
			return m_poTree;
		}

		inline CSplitterWnd *poGetSplitter()
		{
			return &m_oWndSplitter;
		}
};

extern SsUiWndMain *g_poMainWnd;
      

#endif
