/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */

#ifndef _INC_SS_UI_WND_SCAN_CONTROL
#define _INC_SS_UI_WND_SCAN_CONTROL

#include "SsBaCommon.h"
#include "ColorStaticST.h"

class SsUiWndScanControl : public CFrameWnd
{
	DECLARE_DYNCREATE(SsUiWndScanControl);

public:
	SsUiWndScanControl();
	virtual ~SsUiWndScanControl();

protected:
	CButton m_oPingButton;
	CButton m_oIndexButton;
	CButton m_oIPMapMaintButton;
	CButton m_oMaintenanceButton;
	CButton m_oSearchingAllowed;
	CColorStaticST m_oScreenDescription;
  CFont m_oFont;

	void vUpdateButtonText();

	BOOL		OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	BOOL		OnCommand(WPARAM wParam, LPARAM lParam);
	void		OnTimer(UINT nIDEvent);

	UINT m_nTimer;

	DECLARE_MESSAGE_MAP();
};

#endif
