/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */
#include "../SsBaCommon.h"
#include "SsUiWndTree.h"
#include "SsUiWndView.h"
#include "SsUiApp.h"

const Tuint c_nSsUiTreeID = 10002;
														
IMPLEMENT_DYNCREATE(SsUiWndTree, CFrameWnd);

BEGIN_MESSAGE_MAP(SsUiWndTree, CFrameWnd)
	ON_WM_SIZE()
	ON_NOTIFY(TVN_SELCHANGED, c_nSsUiTreeID, OnNewTreeSelection)
END_MESSAGE_MAP();

BOOL SsUiWndTree::OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext)
{
	CRect oClientRect;
	GetWindowRect(&oClientRect);
	char szItemString[64];

	HTREEITEM hScanner, hMonitor, hMaintenance;

	TVINSERTSTRUCT sTreeItem;

	sTreeItem.item.mask = TVIF_TEXT | TVIF_PARAM;
	sTreeItem.item.pszText = szItemString;
	
	m_Tree.Create(TVS_HASLINES | TVS_HASBUTTONS | TVS_DISABLEDRAGDROP | WS_VISIBLE, oClientRect, this, c_nSsUiTreeID);

	sTreeItem.hParent = TVI_ROOT;
	sTreeItem.hInsertAfter = TVI_LAST;
	
	strcpy(szItemString,"StrangeControl");			sTreeItem.item.lParam = 2000; hScanner = m_Tree.InsertItem(&sTreeItem);
	strcpy(szItemString,"StrangeMonitor ");			sTreeItem.item.lParam = 3000; hMonitor  = m_Tree.InsertItem(&sTreeItem);
	strcpy(szItemString,"StrangeMaintenance");	sTreeItem.item.lParam = 4000; hMaintenance = m_Tree.InsertItem(&sTreeItem);

	// Insert Scanner
	sTreeItem.hParent = hScanner;
	strcpy(szItemString,"Pinger");					sTreeItem.item.lParam = 2001; m_Tree.InsertItem(&sTreeItem);
	strcpy(szItemString,"Indexer");					sTreeItem.item.lParam = 2002; m_Tree.InsertItem(&sTreeItem);
	strcpy(szItemString,"IP Mapper Maint");	sTreeItem.item.lParam = 2004; m_Tree.InsertItem(&sTreeItem);

	// Insert Monitor
	sTreeItem.hParent = hMonitor;
	strcpy(szItemString,"Search Monitor");			sTreeItem.item.lParam = 3001; m_Tree.InsertItem(&sTreeItem);
	//strcpy(szItemString,"Statistic Monitor");		sTreeItem.item.lParam = 3002; m_Tree.InsertItem(&sTreeItem);
	strcpy(szItemString,"Machine Monitor");			sTreeItem.item.lParam = 3003; m_Tree.InsertItem(&sTreeItem);

  m_Tree.Expand(hScanner, TVE_EXPAND);
  m_Tree.Expand(hMonitor, TVE_EXPAND);

	// Insert Maintenance

	return CFrameWnd::OnCreateClient(lpcs, pContext);
}

void SsUiWndTree::OnSize( UINT nType, int cx, int cy )
{
	m_Tree.MoveWindow(0,0,cx,cy,true);
}

void SsUiWndTree::OnNewTreeSelection(NMHDR * pNotifyStruct, LRESULT * result)
{
	NMTREEVIEW *nm = (NMTREEVIEW *)pNotifyStruct;
	TVITEM *sTreeItem;

	sTreeItem = &nm->itemNew;
	switch(sTreeItem->lParam)
	{
		case 4000:
			SS_VIEW()->vSetActiveView(c_nSsUiConsoleSystem);
			break;
		case 2000:
			SS_VIEW()->vSetActiveView(c_nSsUiConsoleScanControl);
			break;
		case 2001:
			SS_VIEW()->vSetActiveView(c_nSsUiConsoleScan_Pinger);
			break;
		case 2002:
      SS_VIEW()->vSetActiveView(c_nSsUiConsoleScan_Indexer);
			break;
		case 2004:
      SS_VIEW()->vSetActiveView(c_nSsUiConsoleScan_IpMapperMaint);
			break;
		case 3001:
			SS_VIEW()->vSetActiveView(c_nSsUiConsoleSearchMonitor);
			break;
		case 3003:
			SS_VIEW()->vSetActiveView(c_nSsUiConsoleMachines);
			break;
	}
	return;

}
