/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */
//
// SsUiWndView.h
//

#ifndef _INC_SS_UI_WND_VIEW
#define _INC_SS_UI_WND_VIEW

#include "SsBaCommon.h"
#include "SsUiWndConsole.h"

enum
{
	c_nSsUiConsoleSystem=0,
	c_nSsUiConsoleScan_Pinger,
	c_nSsUiConsoleScan_PingerMaint,
	c_nSsUiConsoleScan_Indexer,
	c_nSsUiConsoleScan_IpMapperMaint,
	c_nSsUiConsoleSearchMonitor,
	c_nSsUiConsoleScan_Active,
	c_nSsUiConsoleScanControl,
	c_nSsUiConsoleMachines
};

class SsUiWndScanControl;
class SsUiWndMachines;

class SsUiWndView : public CFrameWnd
{
	DECLARE_DYNCREATE(SsUiWndView);

public:
	SsUiWndView();
	virtual ~SsUiWndView();

	void vSetActiveView(Tuint nConsoleIndex);

	inline Tuint nGetNumConsoles()
	{
		return m_nActiveConsoles;
	}
	inline HWND hGetConsole(Tuint nConsoleIndex)
	{
		ASSERT(nConsoleIndex < m_nActiveConsoles);
		return m_apoConsoles[nConsoleIndex].GetSafeHwnd();
	}

protected:
	SsUiWndConsole *m_apoConsoles;
  SsUiWndScanControl *m_poScanControl;
	SsUiWndMachines *m_poMachines;
	Tuint	m_nActiveConsoles;
	
	afx_msg void OnSize( UINT nType, int cx, int cy );
	BOOL		OnCreateClient( LPCREATESTRUCT lpcs, CCreateContext* pContext );
	afx_msg void OnDestroy();

	void vRelease();

	DECLARE_MESSAGE_MAP();
};

#endif
